Con la chiusura di Wild Adventure abbiamo deciso di rendere pubblici il codice sorgente di alcuni dei plugins utilizzati su Wild Adventure. In questa pagina è presente un elenco delle repository contenenti il codice sorgente di ognuno.

Non vengono forniti i plugin compilati (ovvero i file ".jar") perché non sono attivamente mantenuti e richiedono modifiche da parte di uno sviluppatore.

Solo per programmatori!

Questi plugins sono rivolti ai programmatori esperti per i seguenti motivi:

Elenco repository plugins

Nota: se una libreria è indicata come "non fornita" è necessario rimuovere il relativo codice prima di poter utilizzare il plugin.

WildCommons

Libreria interna utilizzata da quasi tutti i plugin di Wild Adventure.

Versioni compatibili: 1.9, 1.12
Qualità codice: buona
Dipendenze: Spigot 1.9.4, Spigot 1.12.2, PermissionsEx, ProCosmetics, Essentials (versione modificata, non fornita), Boosters (privata, non fornita), Lombok

WildTowns

Plugin principale del Towny.

Nota: la parte riguardante le colonie è incompleta.

Versioni compatibili: 1.12
Qualità codice: molto buona
Dipendenze: Spigot 1.12.2, WildCommons, Dynmap, Vault WorldEdit, WorldGuard, Lombok

SkyWars

Plugin principale di SkyWars.

Versioni compatibili: 1.9
Qualità codice: molto buona
Dipendenze: Spigot 1.9, WildCommons, WorldEdit, FastAsyncWorldEdit, Lombok

QuakeCraft

Plugin principale di QuakeCraft.

È sconsigliato l'uso: il codice è di scarsa qualità ed è stato aggiornato per Spigot 1.9 ma non è stato ancora testato. Può essere utile per una eventuale riscrittura.

Versioni compatibili: 1.9
Qualità codice: scarsa
Dipendenze: Spigot 1.9, WildCommons, HolographicDisplays, Lombok